@font-face {
	font-family: IRANSans;
	font-style: normal;
	font-weight: 900;
	src: url('../font/eot/IRANSansWeb_Black.eot');
	src: url('../font/eot/IRANSansWeb_Black.eot?#iefix') format('embedded-opentype'),  /* IE6-8 */
		 url('../font/woff2/IRANSansWeb_Black.woff2') format('woff2'),  /* FF39+,Chrome36+, Opera24+*/
		 url('../font/woff/IRANSansWeb_Black.woff') format('woff'),  /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
		 url('../font/ttf/IRANSansWeb_Black.ttf') format('truetype');
}
@font-face {
	font-family: IRANSans;
	font-style: normal;
	font-weight: bold;
	src: url('../font/eot/IRANSansWeb_Bold.eot');
	src: url('../font/eot/IRANSansWeb_Bold.eot?#iefix') format('embedded-opentype'),  /* IE6-8 */
		 url('../font/woff2/IRANSansWeb_Bold.woff2') format('woff2'),  /* FF39+,Chrome36+, Opera24+*/
		 url('../font/woff/IRANSansWeb_Bold.woff') format('woff'),  /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
		 url('../font/ttf/IRANSansWeb_Bold.ttf') format('truetype');
}
@font-face {
	font-family: IRANSans;
	font-style: normal;
	font-weight: 500;
	src: url('../font/eot/IRANSansWeb_Medium.eot');
	src: url('../font/eot/IRANSansWeb_Medium.eot?#iefix') format('embedded-opentype'),  /* IE6-8 */
		 url('../font/woff2/IRANSansWeb_Medium.woff2') format('woff2'),  /* FF39+,Chrome36+, Opera24+*/
		 url('../font/woff/IRANSansWeb_Medium.woff') format('woff'),  /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
		 url('../font/ttf/IRANSansWeb_Medium.ttf') format('truetype');
}
@font-face {
	font-family: IRANSans;
	font-style: normal;
	font-weight: 300;
	src: url('../font/eot/IRANSansWeb_Light.eot');
	src: url('../font/eot/IRANSansWeb_Light.eot?#iefix') format('embedded-opentype'),  /* IE6-8 */
		 url('../font/woff2/IRANSansWeb_Light.woff2') format('woff2'),  /* FF39+,Chrome36+, Opera24+*/
		 url('../font/woff/IRANSansWeb_Light.woff') format('woff'),  /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
		 url('../font/ttf/IRANSansWeb_Light.ttf') format('truetype');
}
@font-face {
	font-family: IRANSans;
	font-style: normal;
	font-weight: 200;
	src: url('../font/eot/IRANSansWeb_UltraLight.eot');
	src: url('../font/eot/IRANSansWeb_UltraLight.eot?#iefix') format('embedded-opentype'),  /* IE6-8 */
		 url('../font/woff2/IRANSansWeb_UltraLight.woff2') format('woff2'),  /* FF39+,Chrome36+, Opera24+*/
		 url('../font/woff/IRANSansWeb_UltraLight.woff') format('woff'),  /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
		 url('../font/ttf/IRANSansWeb_UltraLight.ttf') format('truetype');
}
@font-face {
	font-family: IRANSans;
	font-style: normal;
	font-weight: normal;
	src: url('../font/eot/IRANSansWeb.eot');
	src: url('../font/eot/IRANSansWeb.eot?#iefix') format('embedded-opentype'),  /* IE6-8 */
		 url('../font/woff2/IRANSansWeb.woff2') format('woff2'),  /* FF39+,Chrome36+, Opera24+*/
		 url('../font/woff/IRANSansWeb.woff') format('woff'),  /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
		 url('../font/ttf/IRANSansWeb.ttf') format('truetype');
}

* {
    margin: 0;
    padding: 0;
}

[contenteditable=true]:empty:before {
    content: attr(placeholder);
    display: block;
    opacity: .4;
}

.ltr {
    direction: ltr !important;
}

.rtl {
    direction: ltr !important;
}

body,
textarea,
input {
    font-family: IRANSans, sans-serif;
    font-size: 14px;
}

body.nojs > div {
    display: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin-bottom: 0.5em;
}

html {
    height: 100%;
}

body {
    min-height: 100%;
    direction: rtl;
}

div.noscript {
    padding: 1em;
    margin: auto;
    width: 80em;
}

div.noscript img {
    height: 1em;
}

.engine-desc, .engine-info {
    position: fixed;
    top: 30%;
    transform: translateX(-50%);
    left: 50%;
    border: 1px solid;
    box-shadow: 2px 2px 2px black;
    padding: 1em;
    width: 50%;
    background: lightyellow;
    display: none;
    transition: opacity 0.5s;
    opacity: 0;
    z-index: 99999;
}

.notification {
    left: 50%;
    transform: translateX(-50%) translateY(-100%);
    position: fixed;
    top: -7px;
    opacity: 0;
    border-radius: 7px;
    background-color: yellow;
    border: solid 1px;
    padding: .5em;
    transition: all .5s;
    min-width: 20em;
    z-index: 100000;
}

.notification.shown {
    transform: translateX(-50%) translateY(0);
    opacity: 1;
}

.notification h2 {
    font-family: iran-rounded
}

.notification .close-icon {
    font-weight: bolder;
    position: absolute;
    top: 1em;
    left: 1em;
    cursor: pointer;
    font-family: arial
}

.notification.error {
    background-color: #f2dede;
    border-color: #ebccd1;
    color: #a94442
}

.notification.error .close-icon {
    color: black
}

.notification.warn {
    color: #8a6d3b;
    background-color: #fcf8e3;
    border-color: #faebcc
}

.notification.warn .close-icon {
    color: black
}

.notification.info {
    color: #31708f;
    background-color: #d9edf7;
    border-color: #bce8f1
}

.notification.info .close-icon {
    color: black
}

.notification.success {
    color: #3c763d;
    background-color: #dff0d8;
    border-color: #d6e9c6
}

.notification.success .close-icon {
    color: black
}

.busy {
    position: absolute;
    left: 0.5em;
    top: 0;
    box-sizing: border-box;
    display: none;
}

@keyframes busy_bounce {
    0{
        transform:scale(1);
        background-color: #000;
    }
    100%{
        transform:scale(.3);
        background-color: #fff;
    }
}

.busy .box {
    position: absolute;
    top: 0;
    background-color: #999;
    height:2em;
    width: 2em;
    animation-name: busy_bounce;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-direction: normal;
    transform:scale(.3);
}

.busy .box.b0 {
    left:0;
    animation-delay:.6s;
}
.busy .box.b1 {
    left:1em;
    animation-delay:.75s;
}
.busy .box.b2 {
    left:2em;
    animation-delay:.9s;
}

div#header {
    padding: 1em;
}

div#header > h1 {
    display: inline;
    font-size: 100%;
}

div#header a {
    display: block;
    float: right;
}

div#header img {
    height: 2.25em;
}

div#header hr {
    display: block;
    margin-right: 7em;
    border: none;
    height: 1.8em;
}

body {
    position: relative;
    box-sizing: border-box;
    padding-bottom: 3em;
}

div#footer {
    position: absolute;
    width: 100%;
    bottom: 0;
    padding-bottom: 0.25em;
}

div#footer a {
    color: blue;
}

div#footer img {
    height: 1.5em;
    filter: grayscale(1);
    transition: filter 0.5s;
}

div#footer img:hover {
    filter: grayscale(0);
}

div#footer ul.glinks {
    float: left;
    padding-left: 1em;
}

div#footer li {
    display: inline-block;
}

div#footer ul.links li {
    margin-left: 1em;
}

div#footer ul.links {
    background-color: #fff;
    padding-right: 1em;
}

div#footer hr {
    display: block;
    border: none;
    height: 0.7em;
}

div#footer hr, div#header hr {
    border-bottom: 3px solid #80accb;
}

div#content {
    padding: 1em;
    padding-top: 0;
    box-sizing: border-box;
}

#content > div {
   margin-top: 0.5em !important;
}

div#content div.boxes, div#content div.dic-result, div#content div.ads {
    width: 98%;
    margin: auto;
}

div#content div.boxes > div.separator, div#content div.ads > div.separator, div#content div.dic-result > div.separator {
    width: 0.9%;
    display: inline-block;
}

div#content div.ads {
    padding-top: 1em;
}

div#content div.ads div.text {
    box-sizing: border-box;
}

div#content div.ads div.text:hover {
    border: 1px dashed #337ab7;
}

div#content div.ads div.text a {
    text-decoration: none;
    color: inherit;
}

div#content div.src, div#content div.tgt, div#content div.text, div#content div.graphical, div#content div.dic-part-1, div#content div.dic-part-2 {
    width: 49.5%;
    display: inline-block;
    vertical-align: top;
}

div#content div.src div.content, div#content div.tgt div.content {
    white-space: pre-wrap;
    word-wrap: break-word;
    padding: 0.5em;
    padding-bottom: 1.5em;
    box-sizing: border-box;
    overflow: hidden;
}

div#content div.src, div#content div.tgt {
    position: relative;
}

div#content div.src div.content {
    direction: rtl;
    outline: none;
}

div#content div.tgt div.controls, div#content div.tgt div.metadata, div#content div.src div.usage-report, div#content div.src div.controls {
    position: absolute;
    bottom: 0;
    padding: 0 0.5em;
}

div#content div.src div.usage-report {
    left: 0;
    opacity: 0.4;
}

div#content div.tgt div.controls {
    left: 0;
    direction: ltr;
}

div#content div.src div.controls {
    right: 0;
    direction: ltr;
}

div#content div.tgt div.controls ul, div#content div.src div.controls ul {
    list-style: none;
}

div#content div.tgt div.metadata {
    color: #696969;
    font-size: 80%;
    padding: 0.25em 0.5em;
    display: none;
}

div#content div.tgt div.metadata span.emphasized {
    color: green;
    cursor: pointer;
}

div#content div.tgt div.controls li, div#content div.src div.controls li {
    display: inline-block;
    opacity: 0.5;
}

div#content div.tgt div.controls li:hover, div#content div.src div.controls li:hover {
    opacity: 0.75;
    filter: drop-shadow(0 0 1px #000);
}

div#content div.tgt div.controls li img, div#content div.src div.controls li img {
    width: 1.25em;
}

div#content div.src div.content:focus {
    border: 1px solid #000;
}

div#content div.header {
    position: relative;
    height: 2em;
    background-color: #d9eff7;
}
div#content div.content {
    min-height: 13em;
    box-sizing: border-box;
    border: 1px solid #d9eff7;
}

div#content div.tgt div.content {
    background-color: #eaf2f5;
}

div#content div.tgt div.content[contenteditable="true"] {
    background-color: #fff;
}

div#content div.src div.content[contenteditable="true"]:focus {
    border: 1px solid #050;
    outline: none;
}


div#content div.header div.separator {
    display: inline-block;
    width: 0.25em;
}

div#content div.header div.dropdown, div#content div.header div.button {
    height: 100%;
    line-height: 2em;
    background-color: #337ab7;
    color: #fff;
    box-sizing: border-box;
    display: inline-block;
    padding: 0 1em;
    text-align: center;
    cursor: pointer;
    border: 1px solid transparent;
}

div#content div.header div.dropdown:hover {
    border-color: #000;
}

div#content div.header div.dropdown div.options {
    background-color: #fff;
    border: 1px solid #bbb;
    display: none;
    min-width: 9em;
    opacity: 0;
    position: fixed;
    transition: opacity 0.5s;
    text-align: right;
    z-index: 1;
}

div#content div.header div.dropdown div.options ul {
    list-style: none;
}

div#content div.header div.dropdown div.options ul li {
    padding: 0.5em;
    color: #0b4b83;
}

div#content div.header div.dropdown div.options ul li:hover {
    background: #999;
}

div#content div.header div.dropdown div.options ul li.selected {
    background: #555;
    color: white;
}
div#content div.header div.dropdown div.options ul li.disabled {
    color: #555;
    text-decoration: line-through;
}

div#content div.header div.button {
    background-color: #24667d;
    color: white;
}

div#content div.header div.button.disabled {
    background-color: #5d7b51;
    cursor: not-allowed;
}

div#content div.header div.button:hover:not(.disabled) {
    background-color: #36940f;
}

div#content div.ads h2.ad-title {
    color: #0b4b83;
    font-weight: bold;
    font-size: 1.2em;
    margin-bottom: 0.25em;
}

div#content div.ads p.ad-desc {
    font-size: 90%;
}

div#content div.ads p.ad-link {
    color: green;
    direction: ltr;
}

div#content div.ads div.slider {
    overflow: hidden;
    position: relative;
}

div#content div.ads div.slider div.item {
    display: inline-block;
    width: 100%;
}

div#content div.ads div.slider div.item img {
    width: 100%;
    cursor: pointer;
}

div#content div.content span.phrase-token {
    background-color: transparent;
}

div#content div.content span.phrase-token.hi {
    background-color: yellow;
}

div#content div.dic-result {
    color: #337ab7;
    display: none;
    max-height: 15em;
    overflow: hidden;
    position: relative;
}

div#content div.dic-result.full {
    max-height: 1500em;
}

div#content div.dic-result div.show-more {
    display: block;
    height: 3em;
    width: 100%;
    margin: auto;
    background: linear-gradient(0deg, rgba(255,255,255,1) 0%, rgba(255,255,255,0) 100%);
    position: absolute;
    bottom: 0;
}

div.arrow {
    width: 3vmin;
    height: 3vmin;
    box-sizing: border-box;
    position: absolute;
    left: 50%;
    top: 50%;
    border-top: 0.25em solid;
    border-right: 0.25em solid;
    transform: translateY(.5em) rotate(-45deg);
}

div.arrow.down {
    border-top: none;
    border-right: none;
    border-left: 0.25em solid;
    border-bottom: 0.25em solid;
    transform: translateY(-1em) rotate(-45deg);
}

div#content div.dic-result div.abadis {
    float: left;
}

div#content div.dic-result div.abadis img {
    height: 1.5em;
    vertical-align: bottom;
}

div#content div.dic-result span.src {
    color: #062b4b;
}

div#content div.dic-result h2 {
    margin-bottom: 0;
    font-size: 115%;
}

div#content div.dic-result div h2 {
    margin-bottom: 1em;
}

div#content div.dic-result ul {
    list-style: none;
    margin-right: 2em;
}

div#content div.dic-result ul li:nth-child(3n + 1) {
    color: #062b4b;
}

div#content div.dic-result ul li:nth-child(3n) {
    height: 1.5em;
}

p.mean, table.synonym {
    margin-bottom: 1em;
}

table.synonym {
    border-collapse: collapse;
    width: 100%;
}

table.synonym td, table.synonym th {
    min-width: 5em;
    border-right: 1px solid #ddd;
    padding: 0 0.5em;
    text-align: center;
}

table.synonym td:first-child, table.synonym th:first-child {
    border-right: none;
}

table.synonym tr:first-child {
    border-bottom: 1px solid #ddd;
}

div#mobile_overlay {
    display: none;
}

@media only screen and (max-width: 560px) {
    div#header img {
        height: 2em;
    }
    div#header hr {
        margin-right: 5.95em;
        height: 1.5em;
    }
    div#footer {
        font-size: 10px;
    }
    div#footer ul.glinks {
        display: none;
    }
    div#content {
        padding: 0;
    }
    #content > div {
        margin-top: 0 !important;
    }
    div#content div.boxes > div.separator, div#content div.ads > div.separator, div#content div.dic-result > div.separator {
        display: none;
    }
    div#content div.src, div#content div.tgt, div#content div.text, div#content div.graphical, div#content div.dic-part-1, div#content div.dic-part-2 {
        width: 100%;
        display: block;
    }
    div#content div.content {
        min-height: 8em;
    }
    div#content div.ads div.text {
        margin-top: 2em;
        font-size: 85%;
    }

    div#content div.ads div.graphical {
        display: none;
    }
    div#content div.dic-result div.abadis {
        transform: scale(0.75);
        transform-origin: left bottom;        
    }

    div#mobile_overlay {
        position: fixed;
        font-size: 16px;
        left: 0;
        top: 0;
        right: 0;
        bottom: 0;
        background: rgba(139, 204, 131, 0.76);
        text-align: center;
        font-weight: bold;
    }

    div#mobile_overlay.visible {
        display: block;
    }

    div#mobile_overlay div.container {
        position: absolute;
        width: 75%;
        top: 50%;
        left: 50%;
        transform: translate(-50%,-50%);
    }

    div#mobile_overlay div.container ul{
        display: inline-block;
        list-style: none;
    }

    div#mobile_overlay div.container img {
        width: 75%;
    }
}